Search
lxdream.org :: lxdream/configure :: diff
lxdream 0.9.1
released Jun 29
Download Now
filename configure
changeset 571:9bc09948d0f2
prev562:e598411b640b
next1065:bc1cc0c54917
author nkeynes
date Thu Jan 10 08:28:37 2008 +0000 (12 years ago)
branchlxdream-mmu
permissions -rw-r--r--
last change More MMU work in progess. Much better now...
file annotate diff log raw
1.1 --- a/configure Tue Jan 01 05:48:06 2008 +0000
1.2 +++ b/configure Thu Jan 10 08:28:37 2008 +0000
1.3 @@ -687,6 +687,8 @@
1.4 CCDEPMODE
1.5 am__fastdepCC_TRUE
1.6 am__fastdepCC_FALSE
1.7 +CCAS
1.8 +CCASFLAGS
1.9 CPP
1.10 GREP
1.11 EGREP
1.12 @@ -709,6 +711,8 @@
1.13 GUI_GTK_FALSE
1.14 BUILD_SH4X86_TRUE
1.15 BUILD_SH4X86_FALSE
1.16 +BUILD_X86_64_TRUE
1.17 +BUILD_X86_64_FALSE
1.18 ESOUND_CFLAGS
1.19 ESOUND_LIBS
1.20 AUDIO_ESOUND_TRUE
1.21 @@ -728,6 +732,7 @@
1.22 GETTEXT_PACKAGE
1.23 USE_NLS
1.24 MSGFMT
1.25 +MSGFMT_OPTS
1.26 GMSGFMT
1.27 XGETTEXT
1.28 CATALOGS
1.29 @@ -4297,6 +4302,13 @@
1.30 *) CC="$CC $am_cv_prog_cc_stdc" ;;
1.31 esac
1.32
1.33 +# By default we simply use the C compiler to build assembly code.
1.34 +
1.35 +: ${CCAS='$(CC)'}
1.36 +# Set ASFLAGS if not already set.
1.37 +: ${CCASFLAGS='$(CFLAGS)'}
1.38 +
1.39 +
1.40 ac_ext=c
1.41 ac_cpp='$CPP $CPPFLAGS'
1.42 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
1.43 @@ -5873,6 +5885,16 @@
1.44
1.45
1.46
1.47 +if test "$SH4_TRANSLATOR" = "x86_64"; then
1.48 + BUILD_X86_64_TRUE=
1.49 + BUILD_X86_64_FALSE='#'
1.50 +else
1.51 + BUILD_X86_64_TRUE='#'
1.52 + BUILD_X86_64_FALSE=
1.53 +fi
1.54 +
1.55 +
1.56 +
1.57 pkg_failed=no
1.58 { echo "$as_me:$LINENO: checking for ESOUND" >&5
1.59 echo $ECHO_N "checking for ESOUND... $ECHO_C" >&6; }
1.60 @@ -5931,7 +5953,9 @@
1.61 # Put the nasty error message in config.log where it belongs
1.62 echo "$ESOUND_PKG_ERRORS" >&5
1.63
1.64 - echo "Warning: esound not found - building without audio support"
1.65 + { echo "$as_me:$LINENO: result: no" >&5
1.66 +echo "${ECHO_T}no" >&6; }
1.67 + echo "Warning: esound not found - building without audio support"
1.68 elif test $pkg_failed = untried; then
1.69 echo "Warning: esound not found - building without audio support"
1.70 else
1.71 @@ -6587,7 +6611,7 @@
1.72
1.73 fi
1.74 fi
1.75 - USE_NLS=yes
1.76 + USE_NLS=yes
1.77
1.78
1.79 gt_cv_have_gettext=no
1.80 @@ -7542,6 +7566,35 @@
1.81 fi
1.82 done
1.83
1.84 + MSGFMT_OPTS=
1.85 + { echo "$as_me:$LINENO: checking if msgfmt accepts -c" >&5
1.86 +echo $ECHO_N "checking if msgfmt accepts -c... $ECHO_C" >&6; }
1.87 + cat >conftest.foo <<_ACEOF
1.88 +
1.89 +msgid ""
1.90 +msgstr ""
1.91 +"Content-Type: text/plain; charset=UTF-8\n"
1.92 +"Project-Id-Version: test 1.0\n"
1.93 +"PO-Revision-Date: 2007-02-15 12:01+0100\n"
1.94 +"Last-Translator: test <foo@bar.xx>\n"
1.95 +"Language-Team: C <LL@li.org>\n"
1.96 +"MIME-Version: 1.0\n"
1.97 +"Content-Transfer-Encoding: 8bit\n"
1.98 +
1.99 +_ACEOF
1.100 +if { (echo "$as_me:$LINENO: \$MSGFMT -c -o /dev/null conftest.foo") >&5
1.101 + ($MSGFMT -c -o /dev/null conftest.foo) 2>&5
1.102 + ac_status=$?
1.103 + echo "$as_me:$LINENO: \$? = $ac_status" >&5
1.104 + (exit $ac_status); }; then
1.105 + MSGFMT_OPTS=-c; { echo "$as_me:$LINENO: result: yes" >&5
1.106 +echo "${ECHO_T}yes" >&6; }
1.107 +else { echo "$as_me:$LINENO: result: no" >&5
1.108 +echo "${ECHO_T}no" >&6; }
1.109 +echo "$as_me: failed input was:" >&5
1.110 +sed 's/^/| /' conftest.foo >&5
1.111 +fi
1.112 +
1.113 # Extract the first word of "gmsgfmt", so it can be a program name with args.
1.114 set dummy gmsgfmt; ac_word=$2
1.115 { echo "$as_me:$LINENO: checking for $ac_word" >&5
1.116 @@ -8021,6 +8074,13 @@
1.117 Usually this means the macro was only invoked conditionally." >&2;}
1.118 { (exit 1); exit 1; }; }
1.119 fi
1.120 +if test -z "${BUILD_X86_64_TRUE}" && test -z "${BUILD_X86_64_FALSE}"; then
1.121 + { { echo "$as_me:$LINENO: error: conditional \"BUILD_X86_64\" was never defined.
1.122 +Usually this means the macro was only invoked conditionally." >&5
1.123 +echo "$as_me: error: conditional \"BUILD_X86_64\" was never defined.
1.124 +Usually this means the macro was only invoked conditionally." >&2;}
1.125 + { (exit 1); exit 1; }; }
1.126 +fi
1.127 if test -z "${AUDIO_ESOUND_TRUE}" && test -z "${AUDIO_ESOUND_FALSE}"; then
1.128 { { echo "$as_me:$LINENO: error: conditional \"AUDIO_ESOUND\" was never defined.
1.129 Usually this means the macro was only invoked conditionally." >&5
1.130 @@ -8659,6 +8719,8 @@
1.131 CCDEPMODE!$CCDEPMODE$ac_delim
1.132 am__fastdepCC_TRUE!$am__fastdepCC_TRUE$ac_delim
1.133 am__fastdepCC_FALSE!$am__fastdepCC_FALSE$ac_delim
1.134 +CCAS!$CCAS$ac_delim
1.135 +CCASFLAGS!$CCASFLAGS$ac_delim
1.136 CPP!$CPP$ac_delim
1.137 GREP!$GREP$ac_delim
1.138 EGREP!$EGREP$ac_delim
1.139 @@ -8680,8 +8742,6 @@
1.140 GUI_GTK_TRUE!$GUI_GTK_TRUE$ac_delim
1.141 GUI_GTK_FALSE!$GUI_GTK_FALSE$ac_delim
1.142 BUILD_SH4X86_TRUE!$BUILD_SH4X86_TRUE$ac_delim
1.143 -BUILD_SH4X86_FALSE!$BUILD_SH4X86_FALSE$ac_delim
1.144 -ESOUND_CFLAGS!$ESOUND_CFLAGS$ac_delim
1.145 _ACEOF
1.146
1.147 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
1.148 @@ -8723,6 +8783,10 @@
1.149 ac_delim='%!_!# '
1.150 for ac_last_try in false false false false false :; do
1.151 cat >conf$$subs.sed <<_ACEOF
1.152 +BUILD_SH4X86_FALSE!$BUILD_SH4X86_FALSE$ac_delim
1.153 +BUILD_X86_64_TRUE!$BUILD_X86_64_TRUE$ac_delim
1.154 +BUILD_X86_64_FALSE!$BUILD_X86_64_FALSE$ac_delim
1.155 +ESOUND_CFLAGS!$ESOUND_CFLAGS$ac_delim
1.156 ESOUND_LIBS!$ESOUND_LIBS$ac_delim
1.157 AUDIO_ESOUND_TRUE!$AUDIO_ESOUND_TRUE$ac_delim
1.158 AUDIO_ESOUND_FALSE!$AUDIO_ESOUND_FALSE$ac_delim
1.159 @@ -8741,6 +8805,7 @@
1.160 GETTEXT_PACKAGE!$GETTEXT_PACKAGE$ac_delim
1.161 USE_NLS!$USE_NLS$ac_delim
1.162 MSGFMT!$MSGFMT$ac_delim
1.163 +MSGFMT_OPTS!$MSGFMT_OPTS$ac_delim
1.164 GMSGFMT!$GMSGFMT$ac_delim
1.165 XGETTEXT!$XGETTEXT$ac_delim
1.166 CATALOGS!$CATALOGS$ac_delim
1.167 @@ -8758,7 +8823,7 @@
1.168 LTLIBOBJS!$LTLIBOBJS$ac_delim
1.169 _ACEOF
1.170
1.171 - if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 33; then
1.172 + if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 38; then
1.173 break
1.174 elif $ac_last_try; then
1.175 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
.